Subject: Re: [Iptel] Summary of +1-800 for tel URI discussion

From: [email-masked]
Date: Mon, 2 Dec 2002 12:51:18 EST

In a message dated 11/30/2002 6:09:43 AM Eastern Standard Time, 
[email-masked] writes:

> Thus, I will amend the 2806bis draft to say that freephone numbers in 
> countries that allow re-use by different organizations MUST use a 
> context indication unless it is known that the number is unique within 
> the whole country code. (It does not have to be valid in the whole 
> country code.)
> 

[MAP] I do not agree with the above. I still believe that a freephone number 
we are talking about (e.g., 800 in the US) should always be represented in 
E.164 format without a context. If a country allows "re-use", that simply 
means that the interpretation and routing of that number depends on where the 
originator is located when they dial it.

Besides, your above statement seems to tie the requirements for including a 
"context" with a 800 to something that the source would not know. A device on 
the other side of the world would need to know that a "context" was required 
to go with an 800 number in the US which is used for different destinations 
in different states, although it should be absolutely impossible to call any 
of these 800 numbers from that place on the other side of the world. This 
would make "context" required, and the destination could choose to ignore it.

If there is any mention of "context", it needs to be explicitly defined. Note 
your reponse to Scott that there "might be two meanings of the word context". 
(I think there are more). Depending on which meaning is used, then:

1. If it is defined as being another way to identify the originator of the 
call, then we already have too many of those (and this would raise all the 
usual privacy and authentication issues again and we would probably end up 
with "context=anonymous").

2. If it is defined as being a way to identify the location of the 
originator, that is a function of GEOPRIV and should not be in the tel:uri.

3. If it is defined as being the intended destination, that I can not imagine 
how that could be done to indicate an 800 number that is unique say, in New 
York with 14 area codes today (and growing). What would the context be?

MIke Pierce
Artel

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 02 Dec 2002 14:05:25 -0500

Best to read iptel messages most-recent-first :-) Given that there are 
no indications that 800# are re-used across distinct organizations, 
there is no need for a context.

[email-masked] wrote:

> [MAP] I do not agree with the above. I still believe that a freephone
> number we are talking about (e.g., 800 in the US) should always be
> represented in E.164 format without a context. If a country allows
> "re-use", that simply means that the interpretation and routing of that
> number depends on where the originator is located when they dial it.
>
> Besides, your above statement seems to tie the requirements for
> including a "context" with a 800 to something that the source would not
> know. A device on the other side of the world would need to know that a
> "context" was required to go with an 800 number in the US which is used
> for different destinations in different states, although it should be
> absolutely impossible to call any of these 800 numbers from that place
> on the other side of the world. This would make "context" required, and
> the destination could choose to ignore it.
>
> If there is any mention of "context", it needs to be explicitly defined.
> Note your reponse to Scott that there "might be two meanings of the word
> context". (I think there are more). Depending on which meaning is used,
> then:
>
> 1. If it is defined as being another way to identify the originator of
> the call, then we already have too many of those (and this would raise
> all the usual privacy and authentication issues again and we would
> probably end up with "context=anonymous").
>
> 3. If it is defined as being the intended destination, that I can not
> imagine how that could be done to indicate an 800 number that is unique
> say, in New York with 14 area codes today (and growing). What would the
> context be?
>
> MIke Pierce
> Artel

_______________________________________________
Iptel mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/iptel

---

From: Henry Sinnreich <[email-masked]>
Date: Mon, 02 Dec 2002 15:20:08 -0600

I have tried to follow this important thread and believe now we need a
new summary, or even a new  I-D.

Thanks, Henry

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Henning Schulzrinne
> Sent: Monday, December 02, 2002 1:05 PM
> To: [email-masked]
> Cc: [email-masked]
> Subject: Re: [Iptel] Summary of +1-800 for tel URI discussion
> 
> 
> > > Thus, I will amend the 2806bis draft to say that 
> freephone numbers 
> > > in countries that allow re-use by different organizations 
> MUST use a 
> > > context indication unless it is known that the number is unique 
> > > within the whole country code. (It does not have to be 
> valid in the 
> > > whole country code.)
> >
> >
> >
> > "re-use", that simply means that the interpretation and routing of 
> > that number depends on where the originator is located when 
> they dial 
> > it.
> >
> > including a "context" with a 800 to something that the source would 
> > not know. A device on the other side of the world would 
> need to know 
> > that a "context" was required to go with an 800 number in 
> the US which 
> > is used for different destinations in different states, although it 
> > should be absolutely impossible to call any of these 800 
> numbers from 
> > that place on the other side of the world. This would make 
> "context" 
> > required, and the destination could choose to ignore it.
> >
> > If there is any mention of "context", it needs to be explicitly 
> > defined. Note your reponse to Scott that there "might be 
> two meanings 
> > of the word context". (I think there are more). Depending on which 
> > meaning is used,
> > then:
> >
> > imagine how that could be done to indicate an 800 number that is 
> > unique say, in New York with 14 area codes today (and 
> growing). What 
> > would the context be?
> >
> > MIke Pierce
> > Artel
> 
>

---

From: Henning Schulzrinne <[email-masked]>
Date: Mon, 02 Dec 2002 17:05:50 -0500

As you can tell by my flurry of 2806bis messages, I'm in the midst of 
rev'ing the document. That might give us a new starting point for 
discussions.